"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const directives_1 = require("graphql/type/directives");
const scalars_1 = require("graphql/type/scalars");
const directiveLocation_1 = require("graphql/language/directiveLocation");
const GraphQLDeferDirective = new directives_1.GraphQLDirective({
    name: 'defer',
    description: 'Defers execution of this field if the `if` argument is true',
    locations: [directiveLocation_1.DirectiveLocation.FIELD],
    args: {
        if: {
            type: scalars_1.GraphQLBoolean,
            description: 'Deferred when true.',
        },
    },
});
exports.default = GraphQLDeferDirective;
//# sourceMappingURL=GraphQLDeferDirective.js.map